POST
/payments/requests/{id}/automatic-pix/schedules/{scheduleId}/retryRetry an Automatic PIX schedule
Retries an Automatic PIX schedule, only if the authorization accepts retries. The system allows up to 3 retry attempts. Requests must be submitted by 10pm on the day before the scheduled payment date.
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
scheduleIdrequired | string (uuid) |
Request Body
requiredobject
Request to retry an automatic PIX payment
daterequiredstring (date)
The date to retry the payment within a 7-day window. Date format must be YYYY-MM-DD (for example: 2025-06-16)
Example
json
{
"date": "2024-01-01"
}Responses
204No content
Code Examples
bash
curl -X POST 'https://api.pluggy.ai/payments/requests/{id}/automatic-pix/schedules/{scheduleId}/retry' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'Try It
Path Parameters
